Skip to main content
GET
/
v1
/
deals
List deals
curl --request GET \
  --url https://api.metal.ai/v1/deals \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <api-key>'
{
  "data": [
    {
      "id": "665f1c2a9b1e4a0012a3b4c5",
      "name": "Project Atlas",
      "companyId": "<string>",
      "status": "ACTIVE",
      "stage": "DUE_DILIGENCE",
      "externalStatus": "<string>",
      "externalStage": "<string>",
      "owners": [
        {
          "id": "<string>",
          "type": "<string>"
        }
      ],
      "sector": "<string>",
      "industry": "<string>",
      "size": 123,
      "notes": "<string>",
      "externalReference": {
        "source": "<string>",
        "id": "<string>"
      }
    }
  ]
}

Authorizations

x-metal-client-id
string
header
required

The Client ID of your API key.

x-metal-api-key
string
header
required

The secret value of your API key.

Query Parameters

page
integer
default:1

Page number, starting at 1 (max 100).

Required range: 1 <= x <= 100
limit
integer
default:100

Items per page (1–1000).

Required range: 1 <= x <= 1000
lt
string

Cursor: return items whose id is less than this value (use the last id from the previous page).

sort
string

Field to sort by. Defaults to id.

direction
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc

Response

A list of deals.

data
object[]